<template>
 <a-card :bordered="false" style="height: 100%;">
      <a-tree
        showLine
        checkStrictly
        :replace-fields="replaceFields"
        :dropdownStyle="{maxHeight:'200px',overflow:'auto'}"
        :treeData="treeDataSource"
        @select="handleTreeSelect"
      >
      <a-icon slot="switcherIcon" type="folder" /></a-tree>
 </a-card>
</template>

<script>
import { getAction } from '@/api/manage'

  export default {
    name: 'MomUnitListLeft',
    data() {
      return {
        treeDataSource:[],
        replaceFields: {
          title: 'codeName',
        },
        url:{
          getTree:'/base/getTree'
        }
      }
    },
    created() {
      this.queryTreeData()
    },
    methods: {

      queryTreeData() {
        getAction(this.url.getTree).then((res)=>{
          this.treeDataSource = res.result;
        })
      },
      //左侧树点击触发
      handleTreeSelect(selectedKeys, event) {
        let da = event.node.dataRef;
        this.$emit("treeSelect", da);
      }
      

    }
  }
</script>

<style scoped>

</style>